//+------------------------------------------------------------------+
//|                                                         Grid.mq4 |
//|                                                     Yuriy Tokman |
//|                                            yuriytokman@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Yuriy Tokman"
#property link      "yuriytokman@gmail.com"

#property show_inputs

extern double volume = 0.1;
extern int price = 500;
extern int slippage = 30;
extern int stoploss = 500;
extern int takeprofit = 500;
extern int steps = 500;
extern int count_orders = 5;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   double buy_price = Ask+price*Point;
   double sell_price = Bid-price*Point;

   int ticket;

   for(int i = 0;i<count_orders;i++)
    {
     
     ticket=OrderSend(Symbol(),OP_SELLSTOP,volume,
     sell_price-i*steps*Point,slippage,
     sell_price-i*steps*Point+stoploss*Point,
     sell_price-i*steps*Point-takeprofit*Point,
     "yuriytokman@mail.com    "+i+" *");
     if(ticket<0)
       {
        Print(i,"  OrderSend failed with error #",GetLastError());
        return(0);
       }

     ticket=OrderSend(Symbol(),OP_BUYSTOP,volume,
     buy_price+i*steps*Point,slippage,
     buy_price+i*steps*Point-stoploss*Point,
     buy_price+i*steps*Point+takeprofit*Point,
     "yuriytokman@mail.com    "+i+" *");
     if(ticket<0)
       {
        Print(i,"  OrderSend failed with error #",GetLastError());
        return(0);
       }     
         
    }
//----
   return(0);
  }
//+------------------------------------------------------------------+